PDA

View Full Version : do i need to download patches when i buy the IL2 1946?



Top_Gun_1_0_1
04-29-2007, 10:31 AM
???

Superluminal_8
04-29-2007, 10:39 AM
yup,one called 4.08,that´s it for now.

msalama
04-29-2007, 11:02 AM
here (http://patches.ubi.com/il2_1946/il2_1946_408m.exe)